Package org.apache.lucene.sandbox.document

## Class LongPointMultiRangeBuilder

- java.lang.Object
- - org.apache.lucene.sandbox.search.MultiRangeQuery.Builder
  - - org.apache.lucene.sandbox.document.LongPointMultiRangeBuilder

-     public class LongPointMultiRangeBuilder
      extends MultiRangeQuery.Builder

  Builder for multi range queries for LongPoints

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.sandbox.search.MultiRangeQuery.Builder

      `bytesPerDim, clauses, field, numDims`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongPointMultiRangeBuilder​(String field, int numDims)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(long[] lowerValue, long[] upperValue)` |
    `MultiRangeQuery` | `build()` | Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.

    - ### Methods inherited from class org.apache.lucene.sandbox.search.MultiRangeQuery.Builder

      `add, add`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongPointMultiRangeBuilder

          public LongPointMultiRangeBuilder​(String field,
                                            int numDims)

  - ### Method Detail

    - #### build

          public MultiRangeQuery build()

      Description copied from class: `MultiRangeQuery.Builder`
      Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.
      Specified by:
        `build` in class `MultiRangeQuery.Builder`

    - #### add

          public void add​(long[] lowerValue,
                          long[] upperValue)